如何列出RPM依赖项?

Modified on: Mon, 15 Jul 2019 02:40:02 +0800

我们的生产服务器正在运行CentOS 5.2版(最终版)。

如何查看/获取/列出已安装的 RPM软件包的所有依赖项?

例如:SQLite v3.3.6已经安装在服务器中。我想看看这个特定包的所有依赖项。

以下是命令的输出:rpm -qa |grep sqlite

python-sqlite-1.1.7-1.2.1 sqlite-3.3.6-2 sqlite-3.3.6-2

另外,为什么在这里列出sqlite-3.3.6-2的2个条目?

作者:Gnanam

最佳答案

  1. rpm -q --requires somepackagehere

  2. 一个是i?86包,另一个是x86_64包。

  3. 醇>

相关问答

添加新评论